[rabbitmq-discuss] RabbitMQ and Erlang --enable-native-libs

Simon MacMullen simon at rabbitmq.com
Tue Apr 10 13:59:01 BST 2012

On 21/03/2012 11:12AM, Matthias Radestock wrote:
> I am unable to reproduce this.

Aha, I got it. You need to enable HiPE compilation as well.

Some *very* rough and ready testing suggests that --enable-native-libs 
delivers no measurable performance gain with HiPE off, so I guess it is 
even less likely to be useful with HiPE on. So for the time being the 
recommendation is "don't do that".

But I'll poke around this, and see if we can at least get a more 
sensible error message appearing.

Cheers, Simon

More information about the rabbitmq-discuss mailing list